Bug 150644 - Thinkpad R32 laptop cd/dvd drive broken in 2.6 kernels, works fine in 2.4
Thinkpad R32 laptop cd/dvd drive broken in 2.6 kernels, works fine in 2.4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 00:12 EST by Andrew Ginter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ginter 2005-03-09 00:12:08 EST
Description of problem: The CD/DVD combo drive on my Thinkpad R32
works in Windows and Linux 2.4 kernels, but in none of the
2.6 kernels - FC2, FC3, RHEL 4. The 2.6 series syslogs keep showing
me messages like:

kernel: hdc: status error: status=0x7f { DriveReady DeviceFault
SeekComplete DataRequest CorrectedError Index Error }
kernel: hdc: status error: error=0x7f { IllegalLengthIndication
EndOfMedia AbortedCommand MediaChangeRequested LastFailedSense=0x07 }
kernel: ide: failed opcode was: unknown
kernel: hdc: drive not ready for command
kernel: hdc: ATAPI reset complete

Version-Release number of selected component (if applicable):

At boot time, the various devices are identified as:

kernel: hdc: probing with STATUS(0x50) instead of ALTSTATUS(0x7f)
kernel: hdc: probing with STATUS(0x51) instead of ALTSTATUS(0x7f)
kernel: hdc: probing with STATUS(0x51) instead of ALTSTATUS(0x7f)
kernel: hdc: HL-DT-STDVD-ROM GDR8081N, ATAPI CD/DVD-ROM drive
kernel: hdd: probing with STATUS(0x00) instead of ALTSTATUS(0x7f)
kernel: hdd: probing with STATUS(0x00) instead of ALTSTATUS(0x7f)
kernel: ide1 at 0x170-0x177,0x376 on irq 15
kernel: hdc: ATAPI 24X DVD-ROM drive, 512kB Cache, UDMA(33)

I've seen the problem on all the 2.6 kernels, but I'm running a
vanilla FC3 just now with all the latest stable updates.

How reproducible: Mount the CD drive - usually it hangs right then.
If I'm lucky and it mounts, go:

  find /mnt/cdrom -type f -exec cat {} \; > /dev/null

and it always hangs. cat /dev/cdrom > /dev/null always hangs too.
/var/log/messages shows the messages above. "active" LED on the
drive shines briefly, then goes out and stays out.

On 2.4 kernels I get those messages occasionally, generally with
a 60 second pause in CDROM activity, but then everything works again.
Same problem with DVD's instead of CD's, same symptoms.
Comment 1 Andrew Ginter 2005-04-29 15:29:44 EDT
The problem goes away if I boot with "pci=routeirq". I've sent an lspci output
to bjorn.helgaas.
Comment 2 Andrew Ginter 2005-05-11 15:52:23 EDT
After more testing it seems that the problem becomes much improved if I boot
with "pci=routeirq" but the drive still misbehaves about 40% of the time.
Generally if I reboot once or twice, the problem clears up.
Comment 3 Dave Jones 2005-07-15 14:52:23 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Andrew Ginter 2005-07-25 15:36:01 EDT
The problem drive's behavior is unchanged in kernel-2.6.12-1.1372_FC3. I have
not yet had the opportunity to try it with fc4.
Comment 5 Dave Jones 2006-01-16 17:20:53 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:03:40 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 08:55:56 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.